Eclipse Platform Release 3.7

## org.eclipse.jface.action
Interface IMenuListener

All Known Subinterfaces:
  IMenuListener2

All Known Implementing Classes:
  AbstractRulerActionDelegate, BookmarkRulerAction, RulerBreakpointTypesActionDelegate, RulerEnableDisableBreakpointActionDelegate, RulerToggleBreakpointActionDelegate, SelectRulerAction, TaskRulerAction

    public interface IMenuListener

A menu listener that gets informed when a menu is about to show.

See Also:
  `MenuManager.addMenuListener(org.eclipse.jface.action.IMenuListener)`

Method Summary
`void` `menuAboutToShow(IMenuManager manager)` Notifies this listener that the menu is about to be shown by the given menu manager.

Method Detail

### menuAboutToShow

    void menuAboutToShow(IMenuManager manager)

  Notifies this listener that the menu is about to be shown by the given menu manager.

  Parameters:
    `manager` - the menu manager

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.